%define versioncommit dc8c2d324cda2e80a6e07ee1998fca0839d4a721

Name:       tipcutils
Version:    2.2.0
Release:    2%{?dist}
License:    BSD and GPLv2
URL:        http://tipc.sourceforge.net/
Summary:    Utils package required to configure TIPC
Source0:    https://sourceforge.net/code-snapshots/git/t/ti/tipc/%{name}.git/tipc-%{name}-%{versioncommit}.zip

BuildRequires:  gcc
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: libdaemon-devel

%description
Tipcutils is a set of userspace programs used to configure and manage TIPC on
your system. It provides the tipc-config and tipc-pipe utilities.
The tipc-config tool provides numerous commands for configuring and
monitoring a TIPC network. Certain commands are only available to users
having network administrator privileges (eg. root) to prevent unauthorized
users from reconfiguring the network. The tipc-pipe utility acts as a netcat
like program for TIPC. It is used for reading and writing network connections
using TIPC.

Tipcutils contains a variety of utility programs for use with Linux TIPC,
including:

1) TIPC pipe: A netcat like program for tipc.

2) tipclog: A simple userspace network event logger running as daemon that
logs link and node availability status.

It no longer contains:

1) tipc-config: An application for run-time configuration and monitoring of
TIPC. Its recommended to use the new configuration tool named "tipc" in
iproute2 package for tipc, which utilizes the new tipc netlink kernel API.


%prep
%setup -q -n tipc-%{name}-%{versioncommit}
head -n34 tipclog/tipc.h | tail -n21 | sed -e 's/ \* //g' -e 's/\*//g' > LICENSE

%build
./bootstrap
%configure
make

%install
make install DESTDIR=%{buildroot}

%files
%{_sbindir}/tipclog
%{_bindir}/tipc-pipe
%{_mandir}/man1/tipc-pipe.1.gz
%doc LICENSE README

%check
make check

%changelog
* Mon Jul  9 2018 Peter Hanecak <hany@hany.sk> - 2.2.0-2
- Newer stable version
- Switched back to source tarball on Sourceforge since it is newer
- Added BuildRequires: gcc (by Igor Gnatenko's), libtool and libdaemon-devel
- Updated description
- Updated license: some of the code is also under GPLv2

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Oct  2 2014 Peter Hanecak <hany@hany.sk> - 2.0.6-1
- new stable version
- source tarball is now on GitHub, with slightly different structure
  (build requires autoconf and automake)
- fixed license: only BSD (no piece of code in current version states GPL)

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jan 21 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 2.0.5-6
- correct license information

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr 22 2013 Lokesh Mandvekar <lsm5@buffalo.edu> - 2.0.5-4
- LICENSE file generated

* Fri Apr 19 2013 Lokesh Mandvekar <lsm5@buffalo.edu> - 2.0.5-3
- prefix removed, not needed

* Fri Apr 19 2013 Lokesh Mandvekar <lsm5@buffalo.edu> - 2.0.5-2
- macro used for prefix, defattr removed
- check section added
- description updated

* Thu Apr 18 2013 Lokesh Mandvekar <lsm5@buffalo.edu> - 2.0.5-1
- New stable version - initial package

* Tue Apr 16 2013 Lokesh Mandvekar <lsm5@buffalo.edu> - 2.0.4-1
- Version upgrade

* Fri Sep 07 2012 Erik Hugne <erik.hugne@ericsson.com> - 2.0.3-1
- Initial Fedora package
